OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::NetCaffe Class Reference

`#include <netCaffe.hpp>`

Inherits op::Net.

## Public Member Functions
| NetCaffe (const std::string &caffeProto, const std::string &caffeTrainedModel, const int gpuId=0, const bool enableGoogleLogging=true, const std::string &lastBlobName="net_output")
virtual | ~NetCaffe ()
void | initializationOnThread ()
void | forwardPass (const Array< float > &inputNetData) const
boost::shared_ptr< caffe::Blob < float > > | getOutputBlob () const
Public Member Functions inherited from op::Net
virtual | ~Net ()

## Constructor & Destructor Documentation

op::NetCaffe::NetCaffe | ( | const std::string & | caffeProto,
|  | const std::string & | caffeTrainedModel,
|  | const int | gpuId = `0`,
|  | const bool | enableGoogleLogging = `true`,
|  | const std::string & | lastBlobName = `"net_output"`
| ) |  |

virtual op::NetCaffe::~NetCaffe | ( |  | ) |
| virtual

## Member Function Documentation

void op::NetCaffe::forwardPass | ( | const Array< float > & | inputNetData | ) | const
| virtual

Implements op::Net.

boost::shared_ptr<caffe::Blob<float> > op::NetCaffe::getOutputBlob | ( |  | ) | const

void op::NetCaffe::initializationOnThread | ( |  | ) |
| virtual

Implements op::Net.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/net/netCaffe.hpp